#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long n,k,i,j,zb=0;
    scanf("%d",&n);
    scanf("%d",&k);
    int d[k];
    for(i=0;i<k;i++)
        scanf("%d",&d[i]);
    for(i=0;i<k;i++)
    {
        for(j=1;j<=d[i];j++)
        {
            if(d[i]%j==0)
                zb=zb^j;
        }
        printf("%d ",zb);
        zb=0;
    }
}